Tag Parser: TagParser::MatroskaEditionEntry Class Reference

Tag Parser 12.5.2 C++ library for reading and writing MP4 (iTunes), ID3, Vorbis, Opus, FLAC and Matroska tags

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TagParser::MatroskaEditionEntry Class Reference

The MatroskaEditionEntry class provides a parser for edition entries in Matroska files. More...

`#include <matroskaeditionentry.h>`

## Public Member Functions
| MatroskaEditionEntry (EbmlElement *editionEntryElement)
| Constructs a new MatroskaEditionEntry for the specified editionEntryElement.
| ~MatroskaEditionEntry ()
| Destroys the MatroskaEditionEntry.
EbmlElement * | editionEntryElement () const
| Returns the "EditionEntry"-element specified when constructing the object.
std::uint64_t | id () const
| Returns the edition ID.
bool | isHidden () const
| Returns whether the edition is hidden.
bool | isDefault () const
| Returns whether the edition is flagged as default edition.
bool | isOrdered () const
| Returns whether the edition is ordered.
std::string | label () const
| Returns a label for the entry.
const std::vector< std::unique_ptr< MatroskaChapter > > & | chapters () const
| Returns the chapters the edition contains.
void | parse (Diagnostics &diag)
| Parses the "EditionEntry"-element specified when constructing the object.
void | parseNested (Diagnostics &diag, AbortableProgressFeedback &progress)
| Parses the "EditionEntry"-element specified when constructing the object.
void | clear ()
| Resets the object to its initial state.

## Detailed Description

The MatroskaEditionEntry class provides a parser for edition entries in Matroska files.

Definition at line 10 of file matroskaeditionentry.h.

## Constructor & Destructor Documentation

## ◆ MatroskaEditionEntry()

TagParser::MatroskaEditionEntry::MatroskaEditionEntry | ( | EbmlElement * | editionEntryElement | ) |

Constructs a new MatroskaEditionEntry for the specified editionEntryElement.

Definition at line 26 of file matroskaeditionentry.cpp.

## ◆ ~MatroskaEditionEntry()

TagParser::MatroskaEditionEntry::~MatroskaEditionEntry | ( |  | ) |

Destroys the MatroskaEditionEntry.

Definition at line 38 of file matroskaeditionentry.cpp.

## Member Function Documentation

## ◆ chapters()

const std::vector< std::unique_ptr< MatroskaChapter > > & TagParser::MatroskaEditionEntry::chapters | ( |  | ) | const
| inline

Returns the chapters the edition contains.

Definition at line 79 of file matroskaeditionentry.h.

## ◆ clear()

void TagParser::MatroskaEditionEntry::clear | ( |  | ) |

Resets the object to its initial state.

Definition at line 108 of file matroskaeditionentry.cpp.

## ◆ editionEntryElement()

EbmlElement * TagParser::MatroskaEditionEntry::editionEntryElement | ( |  | ) | const
| inline

Returns the "EditionEntry"-element specified when constructing the object.

Definition at line 39 of file matroskaeditionentry.h.

## ◆ id()

std::uint64_t TagParser::MatroskaEditionEntry::id | ( |  | ) | const
| inline

Returns the edition ID.

Definition at line 47 of file matroskaeditionentry.h.

## ◆ isDefault()

bool TagParser::MatroskaEditionEntry::isDefault | ( |  | ) | const
| inline

Returns whether the edition is flagged as default edition.

Definition at line 63 of file matroskaeditionentry.h.

## ◆ isHidden()

bool TagParser::MatroskaEditionEntry::isHidden | ( |  | ) | const
| inline

Returns whether the edition is hidden.

Definition at line 55 of file matroskaeditionentry.h.

## ◆ isOrdered()

bool TagParser::MatroskaEditionEntry::isOrdered | ( |  | ) | const
| inline

Returns whether the edition is ordered.

Definition at line 71 of file matroskaeditionentry.h.

## ◆ label()

string TagParser::MatroskaEditionEntry::label | ( |  | ) | const

Returns a label for the entry.

Definition at line 45 of file matroskaeditionentry.cpp.

## ◆ parse()

void TagParser::MatroskaEditionEntry::parse | ( | Diagnostics & | diag | ) |

Parses the "EditionEntry"-element specified when constructing the object.

Fetches the chapters() but does not parse them.

Clears all previous parsing results.

Definition at line 57 of file matroskaeditionentry.cpp.

## ◆ parseNested()

void TagParser::MatroskaEditionEntry::parseNested | ( | Diagnostics & | diag,
|  | AbortableProgressFeedback & | progress )

Parses the "EditionEntry"-element specified when constructing the object.

Remarks
  - Parses also fetched chapters and nested chapters.
  - Clears all previous parsing results.

Definition at line 96 of file matroskaeditionentry.cpp.

The documentation for this class was generated from the following files:

- matroska/matroskaeditionentry.h
- matroska/matroskaeditionentry.cpp